Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.common
Class XPath

    java.lang.Object
      org.apache.xmlbeans.impl.common.XPath

    public class XPath

extends java.lang.Object

Nested Class Summary
`static class` | `XPath.ExecutionContext`
`static class` | `XPath.XPathCompileException`

Field Summary
`static java.lang.String` | `_DEFAULT_ELT_NS`
`static java.lang.String` | `_NS_BOUNDARY`

Method Summary
`static XPath` | `compileXPath(java.lang.String xpath)`
`static XPath` | `compileXPath(java.lang.String xpath, java.util.Map namespaces)`
`static XPath` | `compileXPath(java.lang.String xpath, java.lang.String currentNodeVar)`
`static XPath` | `compileXPath(java.lang.String xpath, java.lang.String currentNodeVar, java.util.Map namespaces)`
`boolean` | `sawDeepDot()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _NS_BOUNDARY

    public static final java.lang.String _NS_BOUNDARY

See Also:
  Constant Field Values

### _DEFAULT_ELT_NS

    public static final java.lang.String _DEFAULT_ELT_NS

See Also:
  Constant Field Values

Method Detail

### compileXPath

    public static XPath compileXPath(java.lang.String xpath)
                              throws XPath.XPathCompileException

  Throws:
    `XPath.XPathCompileException`

### compileXPath

    public static XPath compileXPath(java.lang.String xpath,
                                     java.lang.String currentNodeVar)
                              throws XPath.XPathCompileException

  Throws:
    `XPath.XPathCompileException`

### compileXPath

    public static XPath compileXPath(java.lang.String xpath,
                                     java.util.Map namespaces)
                              throws XPath.XPathCompileException

  Throws:
    `XPath.XPathCompileException`

### compileXPath

    public static XPath compileXPath(java.lang.String xpath,
                                     java.lang.String currentNodeVar,
                                     java.util.Map namespaces)
                              throws XPath.XPathCompileException

  Throws:
    `XPath.XPathCompileException`

### sawDeepDot

    public boolean sawDeepDot()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD